JUCE: Message Class Reference

JUCE

Public Types | Public Member Functions | List of all members
Message Class Reference
juce_events » messages

The base class for objects that can be sent to a MessageListener. More...

`#include <juce_Message.h>`

Inheritance diagram for Message:

## Public Types
using | Ptr = ReferenceCountedObjectPtr< Message >
Public Types inherited from MessageManager::MessageBase
using | Ptr = ReferenceCountedObjectPtr< MessageBase >

## Public Member Functions
| Message () noexcept
| Creates an uninitialised message. More...
| ~Message () override
Public Member Functions inherited from MessageManager::MessageBase
| MessageBase ()=default
| ~MessageBase () override=default
virtual void | messageCallback ()=0
bool | post ()
Public Member Functions inherited from ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count. More...
void | decReferenceCount () noexcept
| Decreases the object's reference count. More...
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count. More...
int | getReferenceCount () const noexcept
| Returns the object's current reference count. More...

## Additional Inherited Members
Protected Member Functions inherited from ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero). More...
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count. More...
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count. More...
virtual | ~ReferenceCountedObject ()
| Destructor. More...
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object. More...

## Detailed Description

The base class for objects that can be sent to a MessageListener.

If you want to send a message that carries some kind of custom data, just create a subclass of Message with some appropriate member variables to hold your data.

Always create a new instance of a Message object on the heap, as it will be deleted automatically after the message has been delivered.

See also
  MessageListener, MessageManager, ActionListener, ChangeListener

## Member Typedef Documentation

## ◆ Ptr

using Message::Ptr = ReferenceCountedObjectPtr<Message>

## Constructor & Destructor Documentation

## ◆ Message()

Message::Message | ( |  | ) |
| noexcept

Creates an uninitialised message.

## ◆ ~Message()

Message::~Message | ( |  | ) |
| override

The documentation for this class was generated from the following file:

- juce_Message.h